Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/UPIPE_Stream.h File Reference

`#include "ace/Stream.h"`
`#include "ace/SPIPE.h"`
`#include "ace/Message_Queue.h"`
`#include "ace/UPIPE_Addr.h"`
`#include "ace/UPIPE_Stream.i"`

Include dependency graph for UPIPE_Stream.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_UPIPE_Stream
| Defines the method that transfer data on a UPIPE. More...
## Typedefs
typedef ACE_Stream< ACE_SYNCH > | MT_Stream

## Detailed Description

Id:
  UPIPE_Stream.h,v 4.17 2003/08/04 03:53:54 dhinton Exp

Author:
  Gerhard Lenzer , Douglas C. Schmidt

## Typedef Documentation

typedef ACE_Stream<ACE_SYNCH> MT_Stream